diff --git a/scripts/lib/ptxd_make_get.sh b/scripts/lib/ptxd_make_get.sh
index 17c515644..7c00fe149 100644
--- a/scripts/lib/ptxd_make_get.sh
+++ b/scripts/lib/ptxd_make_get.sh
@@ -394,6 +394,13 @@ ptxd_make_get() {
 		shift
 
 		case "${url}" in
+		git://file:*)
+			echo "local git repository, removing git://file: prefix from URL"
+			url=${url#git://file:}
+
+			ptxd_make_get_download_permitted &&
+			ptxd_make_get_git && return
+			;;
 		git://*|http://*.git|https://*.git|ssh://*.git)
 			ptxd_make_get_download_permitted &&
 			ptxd_make_get_git && return
